/* This demo shows the use of a touch buttons.

   Written by Mark Overmars.

   Date: 29 Apr 1991
*/

#include <stdio.h>
#include "forms.h"

main()
{
  FL_FORM *form;
  FL_OBJECT *retobj, *lleft, *left, *right, *rright, *button, *value;
  int val;
  char str[30];

  fl_init();
  form = fl_bgn_form(FL_UP_BOX,360.0,140.0);
     lleft = fl_add_button(FL_TOUCH_BUTTON,50.0,80.0,40.0,30.0,"<<");
     left = fl_add_button(FL_TOUCH_BUTTON,90.0,80.0,40.0,30.0,"<");
     value = fl_add_box(FL_BORDER_BOX,130.0,80.0,100.0,30.0,"");
     fl_set_object_color(value,13,13);
     right = fl_add_button(FL_TOUCH_BUTTON,230.0,80.0,40.0,30.0,">");
     rright = fl_add_button(FL_TOUCH_BUTTON,270.0,80.0,40.0,30.0,">>");
     button = fl_add_button(FL_NORMAL_BUTTON,220.0,20.0,100.0,30.0,"Exit");
  fl_end_form();

  fl_show_form(form,FL_PLACE_CENTER,FALSE,NULL);
  val = 0;
  do
  {
    sprintf(str,"%d",val);
    fl_set_object_label(value,str);
    retobj = fl_do_forms();
    if (retobj == lleft) val -= 5;
    if (retobj == left) val -= 1;
    if (retobj == right) val += 1;
    if (retobj == rright) val += 5;
  } while (retobj != button);
  fl_hide_form(form);
}
